//Change Password
function changePassword() {
	
	//Check Current Password Confirmation
	var passwordConfirmed = location.search.substring(1).split('=')[1];
	if(passwordConfirmed != 'true') {
		window.location = 'account-current-password.html'
	}
	
	//Populate Fields
	$('#userID').val(userID);
	
	//Target Edit Profile Form
	$('#changePasswordForm').submit(function() {
		
		$('.error').hide();
		
		//Retreive Field Values
		var newPassword = $('#newPassword').val();
		var confirmPassword = $('#confirmPassword').val();
		
		///Test Form Completion
		if(newPassword == '' || confirmPassword == '') {
			
			//Check New Password
			if(newPassword == '') {
				$('#newPassword+span.error').html('&xutri; Please provide new password.').slideDown(100);
			}
			
			//Check Confirm Password
			if(confirmPassword == '') {
				$('#confirmPassword+span.error').html('&xutri; Please confirm new password.').slideDown(100);
			}
		
		}
		
		//If Password Do No Match
		else if (newPassword != confirmPassword) {
			$('#confirmPassword+span.error').html('&xutri; Passwords do not match.').slideDown(100);
		}
		
		//If Passwords Match
		else if (newPassword == confirmPassword) {
		
			//Retreive All Form Data
			formData = $('#changePasswordForm').serialize();
		
			//AJAX Change Password Request
			$.ajax({
				type: "POST",
				url: path + 'changePassword.php',
  				data: 'userID=' + userID + '&password=' + newPassword,
				success: function(html) {
				
					//Change Password Failed
					if(html == 0) {
					
						//Set Alert and Scroll Page
						$('#alert').html('<div>Password Not Changed</div>');
						$('#confirmPassword').val('');
						window.scrollTo(0, 0);
					
					}
				
					//Change Password Succeeded
					else if(html == 1) {

						//Set Alert and Scroll Page
						$('#alert').html('<div>Password Changed</div>');
						$('#newPassword').val('');
						$('#confirmPassword').val('');
						window.location = 'account-edit-profile.html?passwordChange=true'
					
					}	
					
				},
				
			});
		
			return false;
		
		}
		
		return false;
	
	});
	
}

//Instantiate
$(document).ready(changePassword);