//Edit Profile
function editProfile() {
	
	//Populate Fields
	$('#userID').val(userID);
	$('#userPhotoStatus').val(userPhotoStatus);
	$('#userDisplayName').val(userDisplayName);
	$('#userGoodDescription').val(userGoodDescription);
	$('#userBadDescription').val(userBadDescription);
	$('#userAge').val(userAge);
	$('#userEthnicity').val(userEthnicity);
	$('#userHeight').val(userHeight);
	$('#userWeight').val(userWeight);
	$('#userBodyType').val(userBodyType);
	$('#userBreed').val(userBreed);
	$.each(userSeeking.split(","), function(i,e){
    	$("#userSeeking option[value='" + e + "']").prop("selected", true);
	});
	$('#userFavoriteDog').val(userFavoriteDog);
	
	//Target Edit Profile Form
	$('#editProfileForm').submit(function() {
		
		//Retreive All Form Data
		formData = $('#editProfileForm').serialize();
		
		//AJAX Edit Profile Request
		$.ajax({
			type: "POST",
			url: path + 'editProfile.php',
  			data: formData,
			success: function(html) {
				
				//Edit Profile Failed
				if(html == 0) {
					
					//Set Alert and Scroll Page
					$('#alert').html('<div>Profile Not Updated</div>');
					window.scrollTo(0, 0);
					
				}
				
				//Edit Profile Succeeded
				else {
					
					//Parse Data and Save to Local Storage
					var data = html.split('&');
					for(var i = 0; i < data.length; i++) {
						data[i] = data[i].split('=');
						window.localStorage.setItem(data[i][0], data[i][1]);
					}

					//Set Alert and Scroll Page
					$('#alert').html('<div>Profile Updated</div>');
					window.scrollTo(0, 0);
					
				}	
					
			}
			
		});
		
		return false;
		
	});
	
	//Get Update Query String
	var update = location.search.substring(1);
	
	//If Photo Is Updated and Awaiting Approval
	if(update == 'photoUpdate=true') {
		$('#alert').html('<div>Photo Updated<br /><span style="font-size: .6em;">Your photo will be public once approved.</span></div></p>');
	}
	
	//If Photo Was Not Approved
	if(userPhotoStatus == 3) {
		$('#alert').html('<div>Photo Not Approved<br /><span style="font-size: .6em;">Please submit a new photo.</span></div></p>');
	}
	
	//If Password Was Changed
	if(update == 'passwordChange=true') {
		$('#alert').html('<div>Password Changed</div>');
	}
	
}

//Instantiate
$(document).ready(editProfile);