//Log In User
function loginUser() {
	
	$('.error').hide();
	
	//Target Login Form
	$('#loginForm').submit(function() {
		
		$('h1').html('Attempting to Log In');
		$('.error').hide();
		
		//Retreive Field Values
		var email = $('#email').val();
		var password = $('#password').val();
			
		//Test Form Completion
		if(email == '' || password == '') {
			
			if(email == '') {
				$('#password').val();
				$('#email+span.error').html('&xutri; Please provide an email address.').slideDown(100);
			}
			if(password == '') {
				$('#password+span.error').html('&xutri; Please provide a password.').slideDown(100);
			}
				
			$('h1').html('Log In Failed, Please Try Again');
			
		}
		else {
		
			//Retreive All Form Data
			formData = $('#loginForm').serialize();
			
			//AJAX Login Request
			$.ajax({
				type: "POST",
				url: path + 'loginUser.php',
  				data: formData,
				success: function(html) {
					
					//If Login Failed
					if(html == 0) {
						$('h1').html('Login Failed, Please Try Again');
						$('#password').val('');
					}
					
					//If Email Not Valid
					else if(html == 1) {
						$('h1').html('Login Failed, Please Try Again');
						$('#password').val('');
						$('#email+span.error').html('&xutri; Please provide a valid email address.').slideDown(100);
					}
					
					//Login Succeeded
					else {
						
						//Parse Data and Save to Local Storage
						var data = html.split('&');
						for(var i = 0; i < data.length; i++) {
							data[i] = data[i].split('=');
							window.localStorage.setItem(data[i][0], data[i][1]);
						}
						
						//Reset Form and Redirect Page
						$('h1').html('Login Successful');
						$('#email').val('');
						$('#password').val('');
						window.location = 'splash-process-login.html';
						
					}
				
				},
					
				beforeSend: function() {
					$('h1').html('Attempting to Log In');
				}
				
			});
			
			return false
		
		}
		
		return false
		
	});
	
}

//Instantiate
$(document).ready(loginUser);