//Lookup Password
function lookupPassword() {
	
	$('.error').hide();
	
	//Target Lookup Form
	$('#lookupForm').submit(function() {
		
		$('h1').html('Attempting to Lookup Password');
		$('.error').hide();
		
		//Retreive Field Values
		var email = $('#email').val();
			
		//Test Form Completion
		if(email == '') {
			$('h1').html('Password Lookup Failed, Please Try Again');
			$('#email+span.error').html('&xutri; Please provide an email address.').slideDown(100)	
		}
		else {
		
			//Retreive All Form Data
			formData = $('#lookupForm').serialize();
			
			//AJAX Lookup Password Request
			$.ajax({
				type: "POST",
				url: path + 'lookupPassword.php',
  				data: formData,
				success: function(html) {
					
					//Lookup Failed
					if(html == 0) {
						$('h1').html('Password Lookup Failed, Please Try Again');
						$('#email+span.error').html('&xutri; This email address was not recognized').slideDown(100);
					}
					
					//Lookup Succeeded
					else {
						//Reset Form and Redirect Page
						$('h1').html('Password Lookup Successful');
						$('#lookupForm').hide();
						$('h1+p').html('Your password lookup request was successful and has been sent to your registered email address.<br /><br /><a href="splash-log-in.html" title="Log In Now">Log In Now</a>');
					}
					
				},
				
				beforeSend: function() {
					$('h1').html('Attempting to Lookup Password');
				},
				
			});
			
			return false
		
		}
		
		return false
		
	});
	
}

//Instantiate
$(document).ready(lookupPassword);