$(document).ready(signupUser);

//Sign Up User
function signupUser() {
	
	$('.error').hide();
	
	//Target Sign Up Form
	$('#signupForm').submit(function() {
			
		$('h1').html('Attempting to Sign Up');
		$('.error').hide();
			
		//Retreive Field Values
		var email = $('#email').val();
		var password = $('#password').val();
		var age = $('#age').val();
			
		//Test Form Completion
		if(email == '' || password == '' || age == -1) {
			if(email == '') {
				$('#password').val('');
				$('#email+span.error').html('&xutri; Please provide an email address.').slideDown(100);
			}
			if(password == '') {
				$('#password+span.error').html('&xutri; Please provide a password.').slideDown(100);
			}
			if(age == -1) {
				$('#password').val('');
				$('#age+br+span.error').html('&xutri; Please provide age.').slideDown(100);
			}
				
			$('h1').html('Sign Up Failed, Please Try Again');
		}
			
		else {
				
			//Retreive All Form Data
			formData = $('#signupForm').serialize();
				
			//AJAX Sign Up Request
			$.ajax({
				type: "POST",
				url: path + 'signupUser.php',
  				data: formData,
				success: function(html) {

					//If Sign Up Failed
					if(html == 0) {
						$('h1').html('Sign Up Failed, Please Try Again');
						$('#password').val('');
					}
					
					//If Email Not Valid
					else if(html == 1) {
						$('h1').html('Sign Up Failed, Please Try Again');
						$('#password').val('');
						$('#email+span.error').html('&xutri; Please provide a valid email address.').slideDown(100);
					}
					
					//If Duplicate Email Detected
					else if(html == 2) {
						$('h1').html('Sign Up Failed, Please Try Again');
						$('#password').val('');
						$('#email+span.error').html('&xutri; This email address is already associated with an account.').slideDown(100);
					}
					
					//Sign Up Succeeded
					else {
						
						//Parse Data and Save to Local Storage
						var data = html.split('&');
						for(var i = 0; i < data.length; i++) {
							data[i] = data[i].split('=');
							window.localStorage.setItem(data[i][0], data[i][1]);
						}

						//Reset Form and Redirect Page
						$('h1').html('Sign Up Successful');
						$('#email').val('');
						$('#password').val('');
						window.location = 'account-edit-profile.html';
					}
					
				},
				
				beforeSend: function() {
					$('h1').html('Attempting to Sign Up');
				}
			
			});
		
			return false
			
		}
		
		return false
		
	});
	
}