//PHP Path
var path = "http://www.thefetchapp.com/global/php/";
//var path = "http://localhost/thefetchapp/global/php/";

//App Version
var appVersion = 'free';
//var appVersion = 'paid';

//Get User Function Variables
var userID = window.localStorage.getItem('userID');
var userStatus = window.localStorage.getItem('userStatus');
var userLatitude = window.localStorage.getItem('userLatitude');
var userLongitude = window.localStorage.getItem('userLongitude');
var userPhotoStatus = window.localStorage.getItem('userPhotoStatus');
var userDisplayName = window.localStorage.getItem('userDisplayName');

//Other User Variables
var userGoodDescription = window.localStorage.getItem('userGoodDescription');
var userBadDescription = window.localStorage.getItem('userBadDescription');
var userAge = window.localStorage.getItem('userAge');
var userEthnicity = window.localStorage.getItem('userEthnicity');
var userHeight = window.localStorage.getItem('userHeight');
var userWeight = window.localStorage.getItem('userWeight');
var userBodyType = window.localStorage.getItem('userBodyType');
var userBreed = window.localStorage.getItem('userBreed');
var userSeeking = window.localStorage.getItem('userSeeking');
var userFavoriteDog = window.localStorage.getItem('userFavoriteDog');

//Get User Info (Check Login Status, Message Status, Show Header and Show Footer)
function getUserInfo() {
	
	//If Logged In
	if(userID != 0 || userID != null) {
		
		//AJAX Get User Info Request
		$.ajax({
			type: "POST",
			url: path + 'getUserInfo.php',
  			data: 'userID=' + userID,
			success: function(html) {
				
				//If Fail
				if(html == 0) {
				}
				
				//If Success
				else {
					var data = html.split('&');
					for(var i = 0; i < data.length; i++) {
						data[i] = data[i].split('=');
						window.localStorage.setItem(data[i][0], data[i][1]);
					}
					
				}
				
			}
			
		});
		
		//Check New Messages
		function checkNewMessages() {
			
			//AJAX Check New Messages Request
			$.ajax({
				type: "POST",
				url: path + 'checkNewMessages.php',
  				data: 'userID=' + userID,
				success: function(html) {
				
					//If No New Messages
					if(html == 0) {
						$('#messagesLink').html('<span>Messages</span>');
					}
				
					//If New Messages
					else {
						var messages = html;
						$('#messagesLink').html('<span>Messages</span><span>' + messages + '</span>');						
					}
			
				}
		
			});
			
			//Check For New Messages Every Second
			setTimeout(checkNewMessages, 1000);
		
		}
		
		//Instantiate Check New Messages
		checkNewMessages();
			
	}
	
	//If Not Logged In
	else {
		window.localStorage.setItem('userID', 0);
		window.localStorage.setItem('userStatus', 0);
	}

	
	//Header Selector
	
	//Set Section ID
	//var sectionID = location.search.substring(1).split('&')[0].split('=')[1];
	var sectionID = location.search.substring(1).split('profileSection=')[1];
	var inverseSectionID = null;

	//Set Inverse Section ID
	if(sectionID == 'good') {
		inverseSectionID = 'bad'
	}
	else if(sectionID == 'bad') {
		inverseSectionID = 'good';
	}
	
	//Set URL Referrer
	var previousURL = window.localStorage.getItem('referrerURL');
	if(previousURL == undefined) {}
	var currentURL = window.location.href;
	window.localStorage.setItem('referrerURL', currentURL);
	
	//Header If Logged In
	if(userStatus == 1) {
		var header = '<a id="homeLink" href="index.html" title="Home">Home</a>';
		/*header += '<a id="profilesLink" class="default ' + sectionID + '" href="profiles.html?profileSection=' + sectionID + '" title="Profiles">Profiles</a>';*/
		header += '<a id="profilesLink" class="inverse ' + inverseSectionID + '" href="profiles.html?profileSection=' + inverseSectionID + '" title="Profiles">Profiles</a>';
		header += '<a id="backLink" class="' + sectionID + '" href="' + previousURL + '" title="Back">Back</a>';
		header += '<a id="messagesLink" href="account-messages.html" title="Messages"><span>Messages</span></a>';
		header += '<a id="bonesLink" href="account-bones-received.html" title="Bones">Bones</a>';
		header += '<a id="favoritesLink" href="account-favorites.html" title="Favorites">Favorites</a>';
		
		//Profile Photo If Photo Uploaded and Approved
		if(window.localStorage.getItem('userPhotoStatus') == 1) {
			header += '<a id="accountLink" href="account.html" title="Account"><img src="http://www.thefetchapp.com/global/images/profiles/thumbs/' + userID + '.jpg?' + mt_rand(0, 1000000) + '" width="30" height="30" alt="Account"/></a>';
		}
		
		//Profile Photo If Not Uploaded or Approved
		else if(window.localStorage.getItem('userPhotoStatus') == 0 || 2 || 3) {
			header += '<a id="accountLink" href="account.html" title="Account"><img src="global/images/profiles/thumbs/user-no-profile.jpg" width="30" height="30" alt="Account"/></a>';
		}
		
	}
	
	//Header If Logged Out
	else {
		var header = '<a id="homeLink" href="index.html" title="Home">Home</a>';
		/*header += '<a id="profilesLink" class="default ' + sectionID + '" href="profiles.html?profileSection=' + sectionID + '" title="Profiles">Profiles</a>';*/
		header += '<a id="profilesLink" class="inverse ' + inverseSectionID + '" href="profiles.html?profileSection=' + inverseSectionID + '" title="Profiles">Profiles</a>';
		header += '<a id="backLink" class="' + sectionID + '" href="' + previousURL + '" title="Back">Back</a>';
		header += '<a id="accountLink" href="splash.html" title="Account">Account</a>';
	}

	
	//Account Links Selector
	
	//Account Links If Logged In
	if(userStatus == 1) {
		var accountLinks = '';
	}
	
	//Account Links If Logged Out
	else {
		var accountLinks = '<p style="margin-top: 5%;" id="accountLinks"><a href="splash-log-in.html" title="Log In">Log In</a> or <a href="splash-sign-up.html" title="Sign Up">Sign Up</a></p>';
	}
	
	//Write Header
	$('header').html(header);
	
	//Write Footer
	$('footer').html(accountLinks);
	
}

//App Alert
function appAlert() {
	
	//AJAX App Alert Request
	$.ajax({
		url: path + 'appAlert102.php',
		success: function(html) {
			$('#appAlert').html(html);
		}
	});
	
}

//MT_RAND()
function mt_rand(min, max) {
	var argc = arguments.length;
	if (argc === 0) {
    	min = 0;
    	max = 2147483647;
	}
	else if (argc === 1) {
    	throw new Error('Warning: mt_rand() expects exactly 2 parameters, 1 given');
	}
	else {
    	min = parseInt(min, 10);
    	max = parseInt(max, 10);
	}
	return Math.floor(Math.random() * (max - min + 1)) + min;
}

//Instantiate Global Functions
$(document).ready(getUserInfo);
$(document).ready(appAlert);