//Info Loader
function infoLoader() {
	
	//Set Default
	$('.info').hide();
	$('a.infoButton').bind('click', showInfo);
	
	//Show Info
	function showInfo(e) {
		
		e.preventDefault();
		
		//Set Variables
		var target = e.currentTarget || e.parentNode;
		var infoID = $(target).attr('href');
		
		//Set Actions
		$('a.infoButton').removeClass('active');
		$(infoID + 'Button').addClass('active');
		$('.info').hide();
		$(infoID).fadeIn(1000).addClass('active');
		
	}
	
}

//Instantiate
$(document).ready(infoLoader);