//Set Geo Info
function setGeoInfo() {
	
	//If User is Logged In
	if(userID != 0 || userID != null) {
	
		//On Success
		var onSuccess = function(position) {
    
			//Set Variables
			var userID = window.localStorage.getItem('userID');
			var newLatitude = position.coords.latitude;
			var newLongitude = position.coords.longitude;
			
			//AJAX Set geoInfo Request
			$.ajax({
				type: "POST",
				url: path + 'setGeoInfo.php',
  				data: 'userID=' + userID + '&userLatitude=' + newLatitude + '&userLongitude=' + newLongitude,
				success: function(html) {
					
					//If Fail
					if(html == 0) {
					}
					
					//If Success
					else {
						var data = html.split('&');
						for(var i = 0; i < data.length; i++) {
							data[i] = data[i].split('=');
							window.localStorage.setItem(data[i][0], data[i][1]);
						}
						
					}
					
				}
				
			});
			
		};

		//On Error (Set to 0, 0 ???)
		function onError() {
			//window.localStorage.setItem(data[i][0], data[i][1]);
		}

		//Call Geolocation
		navigator.geolocation.getCurrentPosition(onSuccess, onError);
	}
}

//Instantiate
document.addEventListener("deviceready", setGeoInfo, false);