//Get Profile Parameters
var profileID = location.search.substring(1).split('&')[0];
var profileSection = location.search.substring(1).split('&')[1].split('=')[1];

//Check if Conversation Exists
function checkConversation() {
	
	//AJAX Lookup Request
	$.ajax({
		type: 'POST',
		url: path + 'checkConversation.php',
		data: profileID + '&userID=' + userID,
		async: false,
		success: function(html) {
			
			//Redirect to Chat if Successful
			if(html == 0) {
				$('#content').html('<h1>Send a Message</h1><p><a class="' + profileSection + '" href="profiles-view-profile.html?' + profileID + '&profileSection=' + profileSection + '">&laquo; Back to Profile</a></p>');
			}
			else {
				window.parent.location = 'account-messages-conversation.html?chatID=' + html;
			}
			
		}
	
	});

}

//Start New Conversation
function startConversation() {
	
	//Target Send Message Form
	$('#sendMessageForm').submit(function(e) {

		e.preventDefault();
		
		//AJAX Send Message Request
		$.ajax({
			type: "POST",
			url: path + 'startConversation.php',
  			data: profileID + '&userID=' + userID + '&message=' + $('#message').val(),
			success: function(html) {
				
				$('#message').val('').blur();
				
				//Redirect to Chat if Successful
				if(html == 0) {
					$('#content').html('<h1>Send a Message</h1><p><a class="' + profileSection + '" href="profiles-view-profile.html?' + profileID + '&profileSection=' + profileSection + '">&laquo; Back to Profile</a></p>');
				}
				else {
					window.parent.location = 'account-messages-conversation.html?chatID=' + html;
				}
				
			}
			
		});
		
	});
	
}

//Instantiate
$(document).ready(checkConversation);
$(document).ready(startConversation);