//Set Chat Variables
var userID = userID;
var chatID = location.search.substring(1).split('=')[1];
var delay = 1000;
var newMessageSent;
var newMessageReceived;

//Load Chat
function loadChat() {
	
	//AJAX Lookup Request
	$.ajax({
		type: "POST",
		url: path + 'loadChat102.php',
  		data: 'userID=' + userID + '&chatID=' + chatID,
		success: function(html) {

			//Write and Format User Chat
			var chat = html;
			$('#userChat').html(chat);
			$('abbr.timeago').timeago();
			$('html, body').animate({scrollTop: $('#messages li:last-child').offset().top}, 0);
			$('a#uploadLink').attr('href', 'account-messages-conversation-send-photo.html?chatID=' + chatID);

			setTimeout(addToChat, delay);
			
		},
	
	});
	
}

//Add To Chat
function addToChat() {
	
	//AJAX Lookup Request
	$.ajax({
		url: path + 'addToChat102.php',
		type: "POST",
  		data: 'userID=' + userID + '&chatID=' + chatID + '&messageID=' + messageID,
		success: function(html) {
			
			//Write and Format New Messages
			var chat = html;			
			$('#messages').append(chat);
			$('abbr.timeago').timeago();
			
			//If New Message Sent
			if(newMessageSent == true) {
				
				//Srcoll and Reset Status
				$('html, body').animate({scrollTop: $('#messages li:last-child').offset().top}, 0);
				newMessageSent = false;
				
			}
			
			//If New Message Received
			else if(newMessageReceived == true) {
				
				//Notify User
				navigator.vibrate(1000);
				var audio = new Audio('global/audio/newMessage.mp3');
				audio.play();
				
				//Srcoll and Reset Status
				$('html, body').animate({scrollTop: $('#messages li:last-child').offset().top}, 0);
				newMessageReceived = false;
				
			}
	
			setTimeout(addToChat, delay);
			
		}
	
	});
	
}

//Send Message
function sendMessage() {
	
	//Target Send Message Form
	$('#sendMessageForm').submit(function(e) {

		e.preventDefault();
		
		//AJAX Send Message Request
		$.ajax({
			url: path + 'sendMessage.php',
			type: "POST",
  			data: 'userID=' + userID + '&chatID=' + chatID + '&message=' + $('#message').val(),
			success: function(html) {
				$('#message').val('').blur();
			},
			complete: function() {
				setTimeout(function(){$('html, body').animate({scrollTop: $('#messages li:last-child').offset().top}, 0)}, delay);
			}
			
		});
		
	});

}

//Instantiate Functions
$(document).ready(loadChat);
$(document).ready(sendMessage);